org.apache.calcite.avatica.proto

## Class Responses.ErrorResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Responses.ErrorResponse

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Responses.ErrorResponseOrBuilder

Enclosing class:
  Responses

    public static final class Responses.ErrorResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements Responses.ErrorResponseOrBuilder

     Send contextual information about some error over the wire from the server.

Protobuf type `ErrorResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Responses.ErrorResponse.Builder` Send contextual information about some error over the wire from the server.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private static Responses.ErrorResponse` `DEFAULT_INSTANCE`
`static int` `ERROR_CODE_FIELD_NUMBER`
`static int` `ERROR_MESSAGE_FIELD_NUMBER`
`private int` `errorCode_`
`private Object` `errorMessage_`
`private com.google.protobuf.LazyStringList` `exceptions_`
`static int` `EXCEPTIONS_FIELD_NUMBER`
`static int` `HAS_EXCEPTIONS_FIELD_NUMBER`
`private boolean` `hasExceptions_`
`private byte` `memoizedIsInitialized`
`private Responses.RpcMetadata` `metadata_`
`static int` `METADATA_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Responses.ErrorResponse>` `PARSER`
`private static long` `serialVersionUID`
`private int` `severity_`
`static int` `SEVERITY_FIELD_NUMBER`
`static int` `SQL_STATE_FIELD_NUMBER`
`private Object` `sqlState_`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `ErrorResponse()`
`private` `ErrorResponse(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `ErrorResponse(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static Responses.ErrorResponse` `getDefaultInstance()`
`Responses.ErrorResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`int` `getErrorCode()` numeric identifier for error
`String` `getErrorMessage()` human readable description
`com.google.protobuf.ByteString` `getErrorMessageBytes()` human readable description
`String` `getExceptions(int index)` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ByteString` `getExceptionsBytes(int index)` exception stacktraces, many for linked exceptions.
`int` `getExceptionsCount()` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ProtocolStringList` `getExceptionsList()` exception stacktraces, many for linked exceptions.
`boolean` `getHasExceptions()` are there stacktraces contained?
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 6;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 6;`
`com.google.protobuf.Parser<Responses.ErrorResponse>` `getParserForType()`
`int` `getSerializedSize()`
`Common.Severity` `getSeverity()` `.Severity severity = 3;`
`int` `getSeverityValue()` `.Severity severity = 3;`
`String` `getSqlState()` five-character standard-defined value
`com.google.protobuf.ByteString` `getSqlStateBytes()` five-character standard-defined value
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Responses.ErrorResponse.Builder` `newBuilder()`
`static Responses.ErrorResponse.Builder` `newBuilder(Responses.ErrorResponse prototype)`
`Responses.ErrorResponse.Builder` `newBuilderForType()`
`protected Responses.ErrorResponse.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Responses.ErrorResponse` `parseDelimitedFrom(InputStream input)`
`static Responses.ErrorResponse` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.ErrorResponse` `parseFrom(byte[] data)`
`static Responses.ErrorResponse` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.ErrorResponse` `parseFrom(ByteBuffer data)`
`static Responses.ErrorResponse` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.ErrorResponse` `parseFrom(com.google.protobuf.ByteString data)`
`static Responses.ErrorResponse` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.ErrorResponse` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Responses.ErrorResponse` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.ErrorResponse` `parseFrom(InputStream input)`
`static Responses.ErrorResponse` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Responses.ErrorResponse>` `parser()`
`Responses.ErrorResponse.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### bitField0_

    private int bitField0_

#### EXCEPTIONS_FIELD_NUMBER

    public static final int EXCEPTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### exceptions_

    private com.google.protobuf.LazyStringList exceptions_

#### HAS_EXCEPTIONS_FIELD_NUMBER

    public static final int HAS_EXCEPTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasExceptions_

    private boolean hasExceptions_

#### ERROR_MESSAGE_FIELD_NUMBER

    public static final int ERROR_MESSAGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### errorMessage_

    private volatile Object errorMessage_

#### SEVERITY_FIELD_NUMBER

    public static final int SEVERITY_FIELD_NUMBER

See Also:
  Constant Field Values

#### severity_

    private int severity_

#### ERROR_CODE_FIELD_NUMBER

    public static final int ERROR_CODE_FIELD_NUMBER

See Also:
  Constant Field Values

#### errorCode_

    private int errorCode_

#### SQL_STATE_FIELD_NUMBER

    public static final int SQL_STATE_FIELD_NUMBER

See Also:
  Constant Field Values

#### sqlState_

    private volatile Object sqlState_

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### metadata_

    private Responses.RpcMetadata metadata_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### DEFAULT_INSTANCE

    private static final Responses.ErrorResponse DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Responses.ErrorResponse> PARSER

### Constructor Detail

#### ErrorResponse

    private ErrorResponse(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### ErrorResponse

    private ErrorResponse()

#### ErrorResponse

    private ErrorResponse(com.google.protobuf.CodedInputStream input,
                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getExceptionsList

    public com.google.protobuf.ProtocolStringList getExceptionsList()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsList` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptionsCount

    public int getExceptionsCount()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsCount` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptions

    public String getExceptions(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptions` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptionsBytes

    public com.google.protobuf.ByteString getExceptionsBytes(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsBytes` in interface `Responses.ErrorResponseOrBuilder`

#### getHasExceptions

    public boolean getHasExceptions()

     are there stacktraces contained?

`bool has_exceptions = 7;`

Specified by:
  `getHasExceptions` in interface `Responses.ErrorResponseOrBuilder`

#### getErrorMessage

    public String getErrorMessage()

     human readable description

`string error_message = 2;`

Specified by:
  `getErrorMessage` in interface `Responses.ErrorResponseOrBuilder`

#### getErrorMessageBytes

    public com.google.protobuf.ByteString getErrorMessageBytes()

     human readable description

`string error_message = 2;`

Specified by:
  `getErrorMessageBytes` in interface `Responses.ErrorResponseOrBuilder`

#### getSeverityValue

    public int getSeverityValue()

`.Severity severity = 3;`

Specified by:
  `getSeverityValue` in interface `Responses.ErrorResponseOrBuilder`

#### getSeverity

    public Common.Severity getSeverity()

`.Severity severity = 3;`

Specified by:
  `getSeverity` in interface `Responses.ErrorResponseOrBuilder`

#### getErrorCode

    public int getErrorCode()

     numeric identifier for error

`uint32 error_code = 4;`

Specified by:
  `getErrorCode` in interface `Responses.ErrorResponseOrBuilder`

#### getSqlState

    public String getSqlState()

     five-character standard-defined value

`string sql_state = 5;`

Specified by:
  `getSqlState` in interface `Responses.ErrorResponseOrBuilder`

#### getSqlStateBytes

    public com.google.protobuf.ByteString getSqlStateBytes()

     five-character standard-defined value

`string sql_state = 5;`

Specified by:
  `getSqlStateBytes` in interface `Responses.ErrorResponseOrBuilder`

#### hasMetadata

    public boolean hasMetadata()

`.RpcMetadata metadata = 6;`

Specified by:
  `hasMetadata` in interface `Responses.ErrorResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 6;`

Specified by:
  `getMetadata` in interface `Responses.ErrorResponseOrBuilder`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 6;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.ErrorResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(ByteBuffer data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(ByteBuffer data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(com.google.protobuf.ByteString data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(com.google.protobuf.ByteString data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(byte[] data)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(byte[] data,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(InputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(InputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Responses.ErrorResponse parseDelimitedFrom(InputStream input)
                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Responses.ErrorResponse parseDelimitedFrom(InputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(com.google.protobuf.CodedInputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.ErrorResponse parseFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Responses.ErrorResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Responses.ErrorResponse.Builder newBuilder()

#### newBuilder

    public static Responses.ErrorResponse.Builder newBuilder(Responses.ErrorResponse prototype)

#### toBuilder

    public Responses.ErrorResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Responses.ErrorResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Responses.ErrorResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Responses.ErrorResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<Responses.ErrorResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Responses.ErrorResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`